Create location
curl --request POST \
--url https://www.carstoragesoftware.com/api/v1/locations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"phone": "<string>",
"timezone": "<string>",
"isActive": true,
"sortOrder": 123
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
address: '<string>',
city: '<string>',
state: '<string>',
zip: '<string>',
phone: '<string>',
timezone: '<string>',
isActive: true,
sortOrder: 123
})
};
fetch('https://www.carstoragesoftware.com/api/v1/locations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.carstoragesoftware.com/api/v1/locations"
payload = {
"name": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"phone": "<string>",
"timezone": "<string>",
"isActive": True,
"sortOrder": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": "<string>",
"name": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"phone": "<string>",
"timezone": "<string>",
"isActive": true,
"sortOrder": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}Locations
Create location
Requires write:locations.
POST
/
api
/
v1
/
locations
Create location
curl --request POST \
--url https://www.carstoragesoftware.com/api/v1/locations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"phone": "<string>",
"timezone": "<string>",
"isActive": true,
"sortOrder": 123
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
address: '<string>',
city: '<string>',
state: '<string>',
zip: '<string>',
phone: '<string>',
timezone: '<string>',
isActive: true,
sortOrder: 123
})
};
fetch('https://www.carstoragesoftware.com/api/v1/locations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.carstoragesoftware.com/api/v1/locations"
payload = {
"name": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"phone": "<string>",
"timezone": "<string>",
"isActive": True,
"sortOrder": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": "<string>",
"name": "<string>",
"address": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"phone": "<string>",
"timezone": "<string>",
"isActive": true,
"sortOrder": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}Authorizations
Team API key from Settings → Integrations. Use Authorization: Bearer <key> or x-api-key.
Body
application/json
Response
Created.
Show child attributes
Show child attributes
Was this page helpful?
⌘I